Docs
BasicsAPI Reference
BasicsAPI Reference
  1. Charges
  • Integration Guide
    • Payment Links
    • Charges
    • Webhooks
  • PaymentLinks
    • Create payment link
      POST
    • List payment links
      GET
    • Get payment link
      GET
    • Cancel payment link
      POST
  • Charges
    • List charges
      GET
    • Get charge
      GET
  • Webhooks
    • Payment Link
    • Charge
  1. Charges

Get charge

GET
/charges/{charge_id}

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Responses

🟢200
application/json
Charge
Bodyapplication/json

🟠401Unauthorized
🟠404NotFound
🟠429TooManyRequests
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://public-api.woldy.xyz/v1/charges/' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "id": "ch_AAAA...",
    "reference": {
        "type": "PAYMENT_LINK",
        "id": "pl_AAAA..."
    },
    "status": "PENDING",
    "chain_id": "eip155:84532",
    "unexpected": false,
    "currency": "USDC",
    "amount": "10.00",
    "completed_at": "2019-08-24T14:15:22.123Z",
    "failed_at": "2019-08-24T14:15:22.123Z",
    "cancelled_at": "2019-08-24T14:15:22.123Z",
    "created_at": "2019-08-24T14:15:22.123Z",
    "updated_at": "2019-08-24T14:15:22.123Z"
}
Modified at 2026-08-19 07:14:05
Previous
List charges
Next
Payment Link
Built with